> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update transaction rule

>  

Use this endpoint to update the attributes of a specific transaction rule based on its unique GUID. The API will respond with the updated transaction\_rule object. Any attributes not provided will be left unchanged.


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml PUT /users/{user_guid}/transaction_rules/{transaction_rule_guid}
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /users/{user_guid}/transaction_rules/{transaction_rule_guid}:
    put:
      tags:
        - transaction rules
      summary: Update transaction rule
      description: >-
        Use this endpoint to update the attributes of a specific transaction
        rule based on its unique GUID. The API will respond with the updated
        transaction_rule object. Any attributes not provided will be left
        unchanged.
      operationId: updateTransactionRule
      parameters:
        - $ref: '#/components/parameters/transactionRuleGuid'
        - $ref: '#/components/parameters/userGuid'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionRuleUpdateRequestBody'
        description: TransactionRule object to be updated
        required: true
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/TransactionRuleResponseBody'
          description: OK
components:
  parameters:
    transactionRuleGuid:
      description: The unique id for a `transaction_rule`.
      example: TXR-a080e0f9-a2d4-4d6f-9e03-672cc357a4d3
      in: path
      name: transaction_rule_guid
      required: true
      schema:
        type: string
    userGuid:
      description: The unique identifier for a `user`, beginning with the prefix `USR-`.
      example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
      in: path
      name: user_guid
      required: true
      schema:
        type: string
  schemas:
    TransactionRuleUpdateRequestBody:
      properties:
        transaction_rule:
          $ref: '#/components/schemas/TransactionRuleUpdateRequest'
      type: object
    TransactionRuleResponseBody:
      properties:
        transaction_rule:
          $ref: '#/components/schemas/TransactionRuleResponse'
      type: object
    TransactionRuleUpdateRequest:
      properties:
        category_guid:
          example: CAT-b1de2a04-db08-b6ed-f6fe-ca2f5b11c2d0
          type: string
        description:
          example: Wal-mart food storage
          type: string
        match_description:
          example: Wal-mart
          type: string
      type: object
    TransactionRuleResponse:
      properties:
        category_guid:
          example: CAT-b1de2a04-db08-b6ed-f6fe-ca2f5b11c2d0
          nullable: true
          type: string
        created_at:
          example: '2018-10-02T22:00:50+00:00'
          nullable: true
          type: string
        description:
          example: Wal-mart food storage
          nullable: true
          type: string
        guid:
          example: TXR-a080e0f9-a2d4-4d6f-9e03-672cc357a4d3
          nullable: true
          type: string
        match_description:
          example: Wal-mart
          nullable: true
          type: string
        updated_at:
          example: '2018-10-02T23:54:40+00:00'
          nullable: true
          type: string
        user_guid:
          example: USR-22fc3203-b3e6-8340-43db-8e50b2f56995
          nullable: true
          type: string
      type: object
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````